Index: src/clip.cxx
===================================================================
--- src/clip.cxx	(revision 5272)
+++ src/clip.cxx	(working copy)
@@ -90,12 +90,13 @@
   Region r = rstack[rstackptr];
   fl_clip_state_number++;
 #if USE_CAIRO
+  (void)r; // avoid unused variable warning
 #elif USE_X11
   if (r) XSetRegion(xdisplay, gc, r);
   else XSetClipMask(xdisplay, gc, 0);
-#if USE_XFT
+#  if USE_XFT
   XftDrawSetClip(xftc, r);
-#endif
+#  endif
 #elif defined(_WIN32)
   SelectClipRgn(dc, r); //if r is NULL, clip is automatically cleared
 #else
Index: src/x11/Font_xft.cxx
===================================================================
--- src/x11/Font_xft.cxx	(revision 5272)
+++ src/x11/Font_xft.cxx	(working copy)
@@ -107,7 +107,7 @@
 		     XFT_PIXEL_SIZE, XftTypeDouble, (double)current_size_,
 		     core ? XFT_CORE : 0, XftTypeBool, true,
 		     XFT_RENDER, XftTypeBool, false,
-		     0);
+		     (char*)NULL);
 }
 
 void fltk::setfont(fltk::Font* font, float rsize) {
@@ -420,7 +420,7 @@
   open_display();
   XftFontSet* fs = XftListFonts(xdisplay, xscreen,
 				XFT_FAMILY, XftTypeString, name_, 0,
-				XFT_PIXEL_SIZE, 0);
+				XFT_PIXEL_SIZE, (char*)NULL);
   static int* array = 0;
   static int array_size = 0;
   if (fs->nfont >= array_size) {
@@ -455,7 +455,7 @@
   if (fs) XftFontSetDestroy(fs);
   fs = XftListFonts(xdisplay, xscreen,
 		    XFT_FAMILY, XftTypeString, name_, 0,
-		    XFT_ENCODING, 0);
+		    XFT_ENCODING, (char*)NULL);
   static const char** array = 0;
   static int array_size = 0;
   if (fs->nfont > array_size) {
Index: test/cairo.cxx
===================================================================
--- test/cairo.cxx	(revision 5272)
+++ test/cairo.cxx	(working copy)
@@ -147,13 +147,6 @@
 	
     int w= window.w(), h = window.h(); 
 
-	
-    double xc = 0.5;
-    double yc = 0.5;
-    double radius = 0.4;
-    double angle1 = 45.0  * (M_PI/180.0);  /* angles are specified */
-    double angle2 = 180.0 * (M_PI/180.0);  /* in radians           */
-    
     cairo_set_line_width (cr, DEF_WIDTH);
     cairo_scale (cr, w,h);
 
